"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerMurderEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player murders another player.
 *
 * Due to technical limitations, this event cannot be canceled or reverted
 * without advanced "breaking game", therefore it is out of scope of a single
 * `.revert()` function.
 */
class PlayerMurderEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The player that was murdered.
     */
    victim) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.victim = victim;
        this.eventName = "player.murder";
    }
}
exports.PlayerMurderEvent = PlayerMurderEvent;
PlayerMurderEvent.eventName = "player.murder";
//# sourceMappingURL=Murder.js.map