import { Hostable } from "../Hostable";
import { AutoDoorsSystem } from "../systems";
import { Door } from "./Door";
/**
 * Represents an auto opening door for the {@link AutoDoorsSystem}.
 *
 * See {@link DoorEvents} for events to listen to.
 */
export declare class AutoOpenDoor<RoomType extends Hostable = Hostable> extends Door {
    protected system: AutoDoorsSystem<RoomType>;
    readonly id: number;
    timer: number;
    constructor(system: AutoDoorsSystem<RoomType>, id: number, isOpen: boolean);
    DoUpdate(delta: number): boolean;
}
